import 'package:krow_domain/krow_domain.dart';
import '../repositories/shifts_repository_interface.dart';

class GetHistoryShiftsUseCase {
  final ShiftsRepositoryInterface repository;

  GetHistoryShiftsUseCase(this.repository);

  Future<List<Shift>> call() async {
    return repository.getHistoryShifts();
  }
}
